#### D.4.24.12 locAtZero

Procedure from library `normal.lib` (see normal_lib).

Usage:
  locAtZero(I); I = ideal

Return:
  int, 1 if I has only one point which is located at zero, 0 otherwise

Assume:
  I is given as a standard bases in the basering

Note:
  only useful in affine rings, in local rings vdim does the check

Example:

    LIB "normal.lib";
    ring r = 0,(x,y,z),dp;
    poly f = z5+y4+x3+xyz;
    ideal i = jacob(f),f;
    i=std(i);
    locAtZero(i);
    ==> 1
    i= std(i*ideal(x-1,y,z));
    locAtZero(i);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.